with GNATCOM.Dispinterface;

package MSHTML.IHTMLImageElementFactory_Interface is

   type IHTMLImageElementFactory_Type is
     new GNATCOM.Dispinterface.Dispinterface_Type with null record;

   procedure Initialize (This : in out IHTMLImageElementFactory_Type);

   function Pointer (This : IHTMLImageElementFactory_Type)
     return Pointer_To_IHTMLImageElementFactory;

   procedure Attach (This    : in out IHTMLImageElementFactory_Type;
                     Pointer : in     Pointer_To_IHTMLImageElementFactory);

   function create
     (This                                 : IHTMLImageElementFactory_Type;
      width                                : GNATCOM.Types.VARIANT  := GNATCOM.Types.VARIANT_MISSING;
      height                               : GNATCOM.Types.VARIANT  := GNATCOM.Types.VARIANT_MISSING;
      Free                                 : Boolean := True)
     return Pointer_To_IHTMLImgElement;

end MSHTML.IHTMLImageElementFactory_Interface;

